import sys

async def application(scope, receive, send):
    if scope['type'] == 'lifespan':
        while True:
            m = await receive()
            sys.stderr.write(m['type'] + '\n')

            if m['type'] == 'lifespan.startup':
                await send({'type': 'lifespan.startup.complete'})

            if m['type'] == 'lifespan.shutdown':
                await send({'type': 'lifespan.shutdown.complete'})
                return

    if scope['type'] == 'http':
        m = await receive()

        await send({
            'type': 'http.response.start',
            'status': 200,
            'headers': [
                [b'content-type', b'text/plain'],
            ]
        })

        await send({
            'type': 'http.response.body',
            'body': b'Hello, world!',
        })

